# <img src="https://i.imgur.com/8kcsRh6.png" width="50px" valign="bottom"/> boba-components

<center>

![CircleCI](https://img.shields.io/circleci/build/github/BobaBoard/boba-components?style=for-the-badge&logo=CircleCI)
![GitHub last commit](https://custom-icon-badges.demolab.com/github/last-commit/BobaBoard/boba-components?style=for-the-badge&color=c6a0f6&logo=git-commit)
![GitHub closed pull requests](https://custom-icon-badges.demolab.com/github/issues-pr-closed/BobaBoard/boba-components?style=for-the-badge&color=a6da95&logo=git-pull-request-closed)
![GitHub pull requests](https://custom-icon-badges.demolab.com/github/issues-pr-raw/BobaBoard/boba-components?style=for-the-badge&color=f0c6c6&logo=git-pull-request)
[![Open issues](https://custom-icon-badges.demolab.com/github/issues/BobaBoard/boba-components?style=for-the-badge&color=91d7e3&logo=issue-opened)](https://github.com/BobaBoard/boba-components/issues?q=is%3Aissue+is%3Aopen+sort%3Aupdated-desc)

</center>

## BobaBoard

BobaBoard is a modern, open source community-building software that draws
inspiration from old-school forums for functionality and from modern social
media for its style of interaction. It prioritizes privacy and fluidity of
identity for users within communities and allows high levels of customization
and fine-grained permission settings for users, community managers, and instance
owners. The unique UX encourages creative expression across different formats,
styles of communication, and community building.

You can find out more about BobaBoard in general on our
[website](https://www.bobaboard.com) and as a project by visiting our
[project guide](https://docs.bobaboard.com/docs/project/intro).

## This Repo

![Built Using](https://img.shields.io/badge/Built%20Using:-222222?style=for-the-badge)
![TypeScript Badge](https://img.shields.io/badge/TypeScript-222222?logo=typescript&logoColor=3178C6&style=for-the-badge)
![React Badge](https://img.shields.io/badge/React-222222?logo=react&logoColor=61DAFB&style=for-the-badge)
![Storybook Badge](https://img.shields.io/badge/Storybook-222222?logo=storybook&logoColor=FF4785&style=for-the-badge)
![Yarn Badge](https://img.shields.io/badge/Yarn-222222?logo=yarn&logoColor=2C8EBB&style=for-the-badge)

boba-components houses the UI components that add interactivity and style to BobaBoard.

### Relationships To Other Repos

Boba-components uses [boba-editor](https://github.com/BobaBoard/boba-editor)  to
support creation of posts and comments.It works with
[boba-frontend](https://github.com/BobaBoard/boba-frontend) to provide the user
facing website for BobaBoard.

> [!Important]
> The current [boba-editor](https://github.com/BobaBoard/boba-editor) repo is being sunset. We are currently working on it replacement in the [boba-editor-next](https://github.com/essential-randomness/boba-editor-next/) repo.

[Boba-backend](https://github.com/BobaBoard/boba-backend) provides the server
and database for BobaBoard.

> [!NOTE]
> The above description of the relationship between boba-components and boba-backend is an "aspirational state" for our repos. Te are still working on defining the boundaries between "boba-frontend" and "boba-components", so this may be fuzzy in practice.

## Local Development

For detailed instructions on how to develop for BobaBoard, please check out the
links below:

- [Setup Your Development Environment](https://docs.bobaboard.com/docs/development/start-developing/setting-up-dev-env)
- [How to Install WSL](https://docs.bobaboard.com/docs/development/start-developing/wsl)
  (Windows Only)
- [Install Boba-components](https://docs.bobaboard.com/docs/development/start-developing/boba-components)

## Contributing

> [!Important]
> Our issue tracker is not up-to-date and we are specifically looking for people to help us wrangle issues into order. If you're very eager to start working, please contact us through our [tech form](https://docs.google.com/forms/d/e/1FAIpQLSdCX2_fZgIYX0PXeCAA-pfQrcLw_lSp2clGHTt3uBTWgnwVSw/viewform)  (for coding) or our [non-tech form](https://forms.gle/Z44UreTxnbvFnoqc9) (for issue wrangling).

BobaBoard welcomes one-time contributions. Our volunteer
[Code of Conduct](https://docs.bobaboard.com/docs/volunteering/experience/code-of-conduct)
applies in all of our social spaces, including Github Discussions or when
commenting on issues or pull requests.

We are also always looking for long-term volunteers to help with coding,
documentation, and other efforts. If you'd like to become a BobaBoard volunteer,
please see the
[Volunteering Guide](https://docs.bobaboard.com/docs/volunteering) for details.

## License

![MIT License](https://img.shields.io/github/license/BobaBoard/boba-components?style=for-the-badge&color=A41931)
