import React from "react";
export interface CardProps {
    children?: React.ReactNode;
    className?: string;
    backgroundColor?: string;
}
export interface CardHandler {
    highlight: (color: string) => void;
    cardRef: React.RefObject<HTMLDivElement>;
    contentRef: React.RefObject<HTMLDivElement>;
}
declare const Card: React.ForwardRefExoticComponent<CardProps & React.RefAttributes<CardHandler>> & {
    Footer: {
        ({ children }: React.PropsWithChildren<{
            children: React.ReactNode;
            className?: string | undefined;
        } & React.AriaAttributes>): React.JSX.Element;
        displayName: string;
    };
    Header: {
        ({ children }: React.PropsWithChildren<{
            children: React.ReactNode;
            className?: string | undefined;
        } & React.AriaAttributes>): React.JSX.Element;
        displayName: string;
    };
    Content: {
        ({ children }: React.PropsWithChildren<{
            children: React.ReactNode;
            className?: string | undefined;
        } & React.AriaAttributes>): React.JSX.Element;
        displayName: string;
    };
};
export default Card;
