import { BoardMetadataType } from "../types";
import { DropdownProps } from "../common/DropdownListMenu";
import { SidebarSectionProps } from "./SidebarSection";
import React from "react";
import TagsFilterSection from "./TagsFilterSection";
import TextSection from "./TextSection";
export interface EditableBoardSidebarProps {
    children: React.ReactElement[] | React.ReactElement | undefined;
    editing: true;
    onCancelEditing: () => void;
    onUpdateMetadata: (metadata: BoardMetadataType) => void;
}
export interface DisplayBoardSidebarProps {
    children: React.ReactElement[] | React.ReactElement | undefined;
    editing?: false;
    previewOptions?: DropdownProps["options"];
    activeCategory: string | null;
    onCategoriesStateChange: (categories: {
        name: string;
        active: boolean;
    }[]) => void;
}
export type BoardSidebarProps = BoardMetadataType & (DisplayBoardSidebarProps | EditableBoardSidebarProps);
declare const BoardSidebar: React.FC<BoardSidebarProps> & {
    SidebarSection: React.FC<SidebarSectionProps>;
    TextSection: typeof TextSection;
    TagsFilterSection: typeof TagsFilterSection;
};
export default BoardSidebar;
