import { FilteredTagsState } from "../tags/TagsFilter";
import React from "react";
import { TagType } from "../types";
declare const TagsFilterSection: React.FC<TagsFilterSectionProps> & {
    FilteredTagsState: typeof FilteredTagsState;
};
export interface DisplayTagsFilterSectionProps {
    tags: {
        name: string;
        state: FilteredTagsState;
    }[];
    editable?: false;
    type: TagType;
    onTagsStateChangeRequest: (name: string) => void;
    onClearFilterRequests: () => void;
    uncategorized?: FilteredTagsState;
    onUncategorizedStateChangeRequest?: (state: FilteredTagsState) => void;
}
export interface EditableTagsFilterSectionProps {
    tags: {
        name: string;
        state?: FilteredTagsState;
    }[];
    editable: true;
    type: TagType;
    uncategorized?: FilteredTagsState;
    onTagsChange: (tags: {
        name: string;
    }[]) => void;
}
export type TagsFilterSectionProps = DisplayTagsFilterSectionProps | EditableTagsFilterSectionProps;
export default TagsFilterSection;
