import React from "react";
import { TagType } from "../types";
declare const TagsFilter: React.FC<TagsFilterProps>;
export declare enum FilteredTagsState {
    ACTIVE = 0,
    DISABLED = 1
}
export interface DisplayTagsFilterProps {
    tags: {
        name: string;
        state: FilteredTagsState;
    }[];
    type: TagType;
    editable?: false;
    onTagStateChangeRequest?: (details: {
        name: string;
        state: FilteredTagsState;
    }) => void;
    uncategorized?: FilteredTagsState;
    onUncategorizedStateChangeRequest?: (nextState: FilteredTagsState) => void;
}
export interface EditableTagsFilterProps {
    tags: {
        name: string;
        state?: FilteredTagsState;
    }[];
    type: TagType;
    editable: true;
    onTagsChange: (tags: {
        name: string;
    }[]) => void;
}
export type TagsFilterProps = DisplayTagsFilterProps | EditableTagsFilterProps;
export default TagsFilter;
