import React from "react";
/**
 * Modifies the component passed as a ref, and collapses it so its height
 * doesn't surpass `compactHeight`.
 * Returns a button to add to the DOM (usually right after the component), which
 * can then be used to toggle the expansion/contraption of the component.
 */
export declare const useExpand: (ref: React.RefObject<HTMLDivElement> | undefined, options: {
    compactHeight: number | undefined;
    backgroundColor?: string;
    className?: string;
}) => React.JSX.Element | null;
